@charset "utf-8";
/* ----------------------------------------------------------------------------------------
* Author        : FUJITA KANKO
* File          : Login CSS file
* ---------------------------------------------------------------------------------------- */

/* ----------------------------------------------------------------------------------------
                    Header area css
------------------------------------------------------------------------------------------ */

@media screen and (max-width: 768px) {
    .header {/*iframe header対策*/
        z-index: 1;
    }
}

@media screen and (max-width: 768px) {
    .header-logo {
        width: 148px;
        display: block;
    }
}

/*logout打消し*/
.header-r {
    position: static;
    top: auto;
    right: auto;
}

/*言語切り替え*/
.language {
    width: 129px;
    position: absolute;
    top: calc((95px / 2) - 12px);
    right: 12px;
    text-align: center;
    cursor: pointer;
}

@media screen and (max-width: 768px) {
    .language {
        top: calc((60px / 2) - 15px);
    }
}

.language-icon {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

@media screen and (max-width: 768px) {
    .language-icon {
        flex-direction: column;
        align-items: flex-end;
    }
}

.language-icon img {
    width: 16px;
    height: 16px;
}

@media screen and (max-width: 768px) {
    .language-icon img {
        margin-right: 18px;
    }
}

.language-icon span {
    margin-left: 8px;
}

@media screen and (max-width: 768px) {
    .language-icon span {
        font-size: 1.1rem;
    }
}

.language-inner {
    display: none;
    position: relative;
}

.language-inner > ul {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    border: 1px solid #e5e5e5;
    background-color: #fff;
}

.language-inner li {
    position: relative;
    border-bottom: 1px solid #e5e5e5;
}

.language-inner li::before {
    position: absolute;
    content: '';
    top: calc(50% - 4px);
    left: 12px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 4px 0 4px 4px;
    border-color: transparent transparent transparent #e5e5e5;
}

.language-inner li:last-child {
    border-bottom: none;
}

.language-inner li a {
    width: 128px;
    padding: 6px 0;
    display: block;
}

/* ----------------------------------------------------------------------------------------
                    Contents area css
------------------------------------------------------------------------------------------ */
@media screen and (max-width: 768px) {/*style.cssスクロール対策打消し*/
    main {
        overflow-y: auto;
        height: auto;
    }
}

.wrap-l {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
    row-gap: 24px;
}

@media screen and (max-width: 768px) {
    .wrap-l {
        align-content: flex-start;
    }
}

.login-inner {
    width: 48%;
    background-color: #EAF3FD;
}

@media screen and (max-width: 768px) {
    .login-inner {
        width: 100%;
    }
}

.login-item {
    padding: 24px;
}

@media screen and (max-width: 768px) {
    .login-item {
        padding: 12px;
    }
}

.btn-area {
    display: block;
}

.login-item .btn {
    width: 100%;
}

.login-item .btn .tab-block {
    display: none;
}

@media screen and (max-width: 1012px) {
    .login-item .btn .tab-block {
        display: inherit;
    }
}

.link-area {
    text-align: center;
}

/*checkbox*/
input[type=checkbox] {
    display: none;
}

.form-table .item-checkbox {
    position: relative;
    width: auto;
    padding: 4px 28px;
    cursor: pointer;
    font-weight: normal;
}

.item-checkbox::before {
    position: absolute;
    content: '';
    top: 50%;
    left: 5px;
    width: 16px;
    height: 16px;
    margin-top: -8px;
    background: #fff;
    border: 1px solid #333;
}

.item-checkbox::after {
    position: absolute;
    content: '';
    top: 50%;
    left: 10px;
    width: 5px;
    height: 10px;
    margin-top: -6px;
    border-right: 3px solid #1C50A1;
    border-bottom: 3px solid #1C50A1;
    opacity: 0;
    transform: rotate(45deg);
}

input[type=checkbox]:checked + .item-checkbox::after {
    opacity: 1;
}

/*password-mask*/
.form-table tr:last-of-type td {
    position: relative;
}

.btn-eye {
    position: absolute;
    top: 27px;
    right: 4px;
    width: 21px;
    height: 20px;
    background: url(../images/icon-eye.png);
    background-size: cover;
}

.btn-eye.open {
    background: url(../images/icon-eye-slash.png);
    width: 21px;
    height: 20px;
    background-size: cover;
}

p.ie-message {
    font-size: 1.2rem;
}

.login-web {
    margin-bottom: 24px;
}

.login-web .btn-web {
    color: #fff;
    background-color: #F39700;
}

.login-appli {
    background-color: #fff;
}

.login-appli h3 {
    padding: 8px 0;
    border-radius: 5px 5px 0 0;
    color: #fff;
    background-color: #1C50A1;
    text-align: center;
    font-size: 1.4rem;
    font-weight: bold;
}

.login-appli-pc,
.login-appli-sp {
    display: none;
}

body:not(.sp) .login-appli-pc,
body.sp .login-appli-sp {
    display: flex;
}

body:not(.sp) .login-appli-pc {
    display: flex;
    justify-content: space-between;
}

body.sp .login-appli-sp {
    justify-content: center;
    column-gap: 48px;
}

@media screen and (max-width: 559px) {
    body.sp .login-appli-sp {
        column-gap: 28px;
    }
}

.login-appli-pc li,
.login-appli-sp li {
    display: flex;
    flex-direction: column;
    row-gap: 8px;
}

.login-appli-pc li {
    width: 50%;
    align-items: center;
}

.login-appli-sp li {
    align-items: flex-start;
}

.login-appli-pc li:first-child,
.login-appli-sp li:first-child {
    position: relative;
}

.login-appli-pc li:first-child::after,
.login-appli-sp li:first-child::after {
    content: '';
    position: absolute;
    top: 0;
    width: 1px;
    height: 100%;
    background-color: #f1f1f1;
}

.login-appli-pc li:first-child::after {
    right: 0;
}

.login-appli-sp li:first-child::after {
    right: -24px;
}

@media screen and (max-width: 559px) {
    .login-appli-sp li:first-child::after {
        right: -14px;
    }
}

.appli-label {
    font-size: 1rem;
}

.appli-label span {
    margin-right: 4px;
    font-weight: bold;
}

.appli-qr {
    width: 90px;
}

.appli-qr img {
    width: 100%;
}

.appli-badge img {
    height: 50px;
    width: auto;
}

@media screen and (max-width: 559px) {
    .appli-badge img {
        height: 40px;
    }
}

/* ----------------------------------------------------------------------------------------
                    SNS login css
------------------------------------------------------------------------------------------ */
.sns-header {
    position: relative;
    height: 1px;
    margin-top: 29px;
    margin-bottom: 17px;
    background-color: #011940;
    text-align: center;
}

.sns-header h3 {
    position: relative;
    display: inline-block;
    top: -10px;
    padding: 0 8px;
    background-color: #EAF3FD;
    font-size: 1.2rem;
}

.btn.btn-link {
    margin-bottom: 24px;
    color: #fff;
    background-color: #1C50A1;
}

.sns-item {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    row-gap: 12px;
}

.sns-item li {
    width: 48%;
}

@media screen and (max-width: 960px) {
    .sns-item li {
        width: 100%;
    }
}

@media screen and (max-width: 768px) {
    .sns-item li {
        width: 48%;
    }
}

@media screen and (max-width: 559px) {
    .sns-item li {
        width: 100%;
    }
}

.btn-link,
.sns-item li a.btn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 36px;
    padding: 8px;
    font-size: 1.2rem;
}

li.sns-google a.btn {
    background-color: #fff;
    border: 1px solid #DADCE0;
    color: #757575;
}

li.sns-facebook a.btn {
    background-color: #1877F2;
    color: #fff;
}

li.sns-yahoo a.btn {
    padding-left: 36px;
    background-color: #FF0033;
    color: #fff;
    font-size: 1rem;
}

li.sns-apple a.btn {
    background-color: #000;
    color: #fff;
}

@media screen and (max-width: 960px) {
    li.sns-yahoo a.btn {
        padding-left: 0;
        font-size: 1.2rem;
    }
}

li.sns-twitter a.btn {
    background-color: #0F1419;
    color: #fff;
    font-size: 1.1rem;
}

@media screen and (max-width: 960px) {
    li.sns-twitter a.btn {
        font-size: 1.2rem;
    }
}

li.sns-google a.btn img {
    position: absolute;
    left: 8px;
    width: 18px;
    height: 18px;
}

li.sns-facebook a.btn img {
    position: absolute;
    left: 8px;
    width: 18px;
    height: 18px;
}

li.sns-yahoo a.btn img {
    position: absolute;
    left: 8px;
    width: 32px;
    height: 18px;
}

li.sns-twitter a.btn img {
    position: absolute;
    left: 8px;
    width: 17.6px;
    height: 18px;
}

li.sns-apple a.btn img {
    position: absolute;
    left: 8px;
    width: 18px;
    height: 22px;
}
